Loading...
Searching...
No Matches
BALL::GenericGene Class Referenceabstract

`#include <BALL/DOCKING/GENETICDOCK/genes.h>`

Inheritance diagram for BALL::GenericGene:

## Public Member Functions

| GenericGene ()
virtual | ~GenericGene ()
virtual GenericGene * | mate (GenericGene *gg)=0
virtual void | mutate ()=0
virtual GenericGene * | clone ()=0
virtual void | randomize ()=0

## Protected Member Functions

double | randomGeneValue ()
int | randomGenePosition (int from, int to)

## Detailed Description

pure virtual base class

Definition at line 18 of file genes.h.

## Constructor & Destructor Documentation

## GenericGene()

BALL::GenericGene::GenericGene | ( |  | ) |

constructor

## ~GenericGene()

virtual BALL::GenericGene::~GenericGene | ( |  | ) |

inline virtual

destructor

Definition at line 28 of file genes.h.

## Member Function Documentation

## clone()

virtual GenericGene * BALL::GenericGene::clone | ( |  | ) |

pure virtual

clone method

Implemented in BALL::DoubleGene, and BALL::QuaternionGene.

## mate()

virtual GenericGene * BALL::GenericGene::mate | ( | GenericGene * | gg | ) |

pure virtual

mate two genes

Implemented in BALL::DoubleGene, and BALL::QuaternionGene.

## mutate()

virtual void BALL::GenericGene::mutate | ( |  | ) |

pure virtual

mutate gene

Implemented in BALL::DoubleGene, and BALL::QuaternionGene.

## randomGenePosition()

int BALL::GenericGene::randomGenePosition | ( | int | from,
|  | int | to )

protected

## randomGeneValue()

double BALL::GenericGene::randomGeneValue | ( |  | ) |

protected

## randomize()

virtual void BALL::GenericGene::randomize | ( |  | ) |

pure virtual

set gene to random value

Implemented in BALL::DoubleGene, and BALL::QuaternionGene.